
QGIS Application - Bug report #8034

sextante output 'save to file' broken (error message included)

2013-06-10 09:34 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Victor Olaya

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16878

Description

Using the attached .model, or any simple algorithm, when relying on a non-temporary file output (i.e. defining output file name and path),

sextante throws an error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\sextante\\gui\\OutputSelectionPanel.py", line 92, in saveToFile

    filename= unicode(files.first())

AttributeError: 'list' object has no attribute 'first'

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master Master, a3ea7ce

Associated revisions

Revision a6f9f563 - 2013-06-11 09:11 AM - Nathan Woodrow 

Fix #8034. Sextante SIP update

History

#1 - 2013-06-11 12:08 AM - Mathieu Pellerin - nIRV

- Subject changed from sextante modeler's save to file broken (error message included) to sextante output 'save to file' broken (error message included)

#2 - 2013-06-11 12:12 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"a6f9f563095d2ebd3334de3809bda1d2f8ec1d64".
